Robot Simulator of the Robotics Group for Self-Organization of Control: PlotOption Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# PlotOption Class Reference

This class contains options for the use of an external plot utility like guilogger or neuronviz or just simply file output. More...

`#include <plotoption.h>`

List of all members.

## Public Member Functions
| PlotOption ()
| PlotOption (PlotMode mode, int interval=1, std::string parameter="")
| creates a new plotting object
virtual | ~PlotOption ()
virtual PlotMode | getPlotOptionMode () const
virtual void | flush (long step)
void | addConfigurable (const Configurable *)
void | setName (const std::string &name)
bool | open ()
| opens the connections to the plot tool
void | close ()
| closes the connections to the plot tool
## Public Attributes
FILE * | pipe
long | t
int | interval
std::string | name
## Friends
class | WiredController
class | PlotOptionEngine
## Classes
struct | matchMode
| nice predicate function for finding by mode More...

## Detailed Description

This class contains options for the use of an external plot utility like guilogger or neuronviz or just simply file output.

Examples:

  integration/main.cpp.

## Constructor & Destructor Documentation

PlotOption | ( |  | ) | `[inline]`

PlotOption | ( | PlotMode | mode,
|  | int | interval = `1`,
|  | std::string | parameter = `""` |
| ) |  |  | `[inline]`

creates a new plotting object

Parameters:

  | mode | output type

See also:
  PlotMode

Parameters:

  | interval | every i-th step is plotted
  | parameter | free parameters for plotting tool Note: the argument whichSensor is removed. You can adjust this in the wirings now.

virtual ~PlotOption | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

void addConfigurable | ( | const Configurable * |  | ) |

void close | ( |  | ) |

closes the connections to the plot tool

void flush | ( | long | step | ) | `[virtual]`

virtual PlotMode getPlotOptionMode | ( |  | ) | const`[inline, virtual]`

bool open | ( |  | ) |

opens the connections to the plot tool

void setName | ( | const std::string & | name | ) | `[inline]`

## Friends And Related Function Documentation

friend class PlotOptionEngine`[friend]`

friend class WiredController`[friend]`

## Member Data Documentation

int interval

std::string name

FILE* pipe

long t

The documentation for this class was generated from the following files:

- plotoption.h
- plotoption.cpp